[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPicture.Assign

Assign - if the Source is a valid graphic type, copy the relevant details to the current object, otherwise call inherited Assign

## Declaration

Source position: graphics.pp line 931

`public procedure TPicture.Assign(`
`Source: TPersistent`
`); override;`

## Description

Assign - Copies the contents of the given TPicture. Used most often in the implementation of TPicture properties.

## See also

TPersistent.Assign

The latest version of this document can be found at lazarus-ccr.sourceforge.net .